class ThingsNotify expands SpawnNotify;

function prebeginplay(); //don't check for relevance

simulated function PostBeginPlay()
{
	local actor other;

	//Don't add to notifylist if server, but keep available, so it's existence is replicated to clients
	if (Level.NetMode == NM_DedicatedServer) //mutator works on server. We keep moving in client
		GoTo Done;
	Super.PostBeginPlay();
	log ("Deco Notify Initialized...",'AfterDark_Final');
	Level.Default.TimeDilation = 0.990000;
	ForEach Allactors(class'Actor',Other)
	{
		if ( Light(Other) != None )
		{
			if ( Light(Other).bCorona )
			{
				Other.DrawScale = 0.110000;
				Light(Other).LightRadius = 100;
			}
		}
	}
	SpawnOtherStuff();
Done:
}

simulated function SpawnOtherStuff()
{
	local Rotator NewRot;
	local E_MonkStatue E;
	local E_Boulder2 E2;

	NewRot.Yaw=16384;
	E = Spawn(class'E_MonkStatue',,,vect(14,-437,-22),NewRot);
	E = None;
	NewRot.Yaw=42460;
	E = Spawn(class'E_MonkStatue',,,vect(0,-1084,-44),NewRot);
	if (E != None)
	{
		E.AnimSequence='Duck';
		E.DrawScale=3.500000;
		E = None;
	}
	NewRot.Yaw=-26760;
	Spawn(class'E_Cannon',,,vect(34,-1148,-55),NewRot);
	NewRot.Yaw=-16384;
	Spawn(class'Af_Drk',,,vect(0,1796,80),NewRot);
	E2 = Spawn(class'E_Boulder2',,,vect(-21494,21977,-1801)); //11
	if ( E2 != None )
	{
		E2.DrawScale = 0.450000;
		E2.RotationRate.Pitch = 300;
		E2.RotationRate.Roll = 1700;
		E2.RotationRate.Yaw = 600;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21424,21710,-1889)); //12
	if ( E2 != None )
	{
		E2.DrawScale = 0.300000;
		E2.RotationRate.Pitch = 1400;
		E2.RotationRate.Roll = 1200;
		E2.RotationRate.Yaw = 800;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21431,21908,-1534)); //16
	if ( E2 != None )
	{
		E2.DrawScale = 0.500000;
		E2.RotationRate.Pitch = 900;
		E2.RotationRate.Roll = 500;
		E2.RotationRate.Yaw = 200;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21311,21845,-1705)); //17
	if ( E2 != None )
	{
		E2.DrawScale = 0.20000;
		E2.RotationRate.Pitch = 2000;
		E2.RotationRate.Roll = 3000;
		E2.RotationRate.Yaw = 1000;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21215,21861,-1497)); //21
	if ( E2 != None )
	{
		E2.DrawScale = 0.250000;
		E2.RotationRate.Pitch = 2000;
		E2.RotationRate.Roll = 3000;
		E2.RotationRate.Yaw = 1000;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21068,21860,-1855)); //22
	if ( E2 != None )
	{
		E2.DrawScale = 0.400000;
		E2.RotationRate.Pitch = 200;
		E2.RotationRate.Roll = 800;
		E2.RotationRate.Yaw = 1000;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21252,21879,-1774)); //23
	if ( E2 != None )
	{
		E2.DrawScale = 0.110000;
		E2.RotationRate.Pitch = 1000;
		E2.RotationRate.Roll = 3000;
		E2.RotationRate.Yaw = 2500;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21183,22064,-1727)); //24
	if ( E2 != None )
	{
		E2.DrawScale = 0.220000;
		E2.RotationRate.Pitch = 800;
		E2.RotationRate.Roll = 1500;
		E2.RotationRate.Yaw = 1200;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21280,22061,-1563)); //26
	if ( E2 != None )
	{
		E2.DrawScale = 0.250000;
		E2.RotationRate.Pitch = 950;
		E2.RotationRate.Roll = 200;
		E2.RotationRate.Yaw = 1400;
		E2 = None;
	}
	E2 = Spawn(class'E_Boulder2',,,vect(-21194,22270,-1819)); //27
	if ( E2 != None )
	{
		E2.DrawScale = 0.250000;
		E2.RotationRate.Pitch = 5000;
		E2.RotationRate.Roll = 3000;
		E2.RotationRate.Yaw = 1000;
		E2 = None;
	}
}

defaultproperties
{
}